2040:c000 BUG: unable to handle kernel NULL pointer dereference at 0000000000000050; RIP: 0010:[<ffffffffa069a5b7>] [<ffffffffa069a5b7>] show_protocols+0xf7/0x110 [rc_core]

Bug #1015836 reported by Douglas Bagnall on 2012-06-20
46
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Linux
Undecided
auto-douglas
linux (Ubuntu)
Medium
Herton R. Krzesinski
Oneiric
Undecided
Herton R. Krzesinski
Precise
Undecided
Herton R. Krzesinski
Quantal
Medium
Herton R. Krzesinski

Bug Description

When I unplug my USB DVB tuner, the computer stops doing anything useful.

Attached screenshot show the stack trace, etc (Sorry for the wobbly camera). I think the same information found its way into /var/log/syslog (excerpts below), but the picture is there just in case.

This is present with 3.2.0-26-generic x86_64 and linux-image-3.4.0-030400-generic (201205210521) from the kernel-ppa kernel.

Snippets from /var/log/syslog:

Plugging in, 3.2:

Jun 20 14:03:58 kip kernel: [ 842.242811] usb 2-1.3: new high-speed USB device number 3 using ehci_hcd
Jun 20 14:03:59 kip mtp-probe: checking bus 2, device 3: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3"
Jun 20 14:03:59 kip mtp-probe: bus: 2, device: 3 was not an MTP device
Jun 20 14:04:02 kip kernel: [ 846.024169] smscore_set_device_mode: firmware download success: sms1xxx-hcw-55xxx-dvbt-02.fw
Jun 20 14:04:02 kip kernel: [ 846.027257] sms_ir_init: Allocating rc device
Jun 20 14:04:02 kip kernel: [ 846.027267] sms_ir_init: IR port 0, timeout 100 ms
Jun 20 14:04:02 kip kernel: [ 846.027272] sms_ir_init: Input device (IR) SMS IR (Hauppauge WinTV MiniStick) is set for key events
Jun 20 14:04:04 kip kernel: [ 847.849003] Registered IR keymap rc-hauppauge
Jun 20 14:04:04 kip kernel: [ 847.849150] input: SMS IR (Hauppauge WinTV MiniStick) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/rc/rc0/input16
Jun 20 14:04:04 kip kernel: [ 847.849203] rc0: SMS IR (Hauppauge WinTV MiniStick) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/rc/rc0
Jun 20 14:04:04 kip kernel: [ 847.904095] DVB: registering new adapter (Hauppauge WinTV MiniStick)
Jun 20 14:04:04 kip kernel: [ 847.905011] DVB: registering adapter 0 frontend 0 (Siano Mobile Digital MDTV Receiver)...
Jun 20 14:04:04 kip kernel: [ 847.907587] usbcore: registered new interface driver smsusb
Jun 20 14:04:05 kip kernel: [ 848.816127] IR NEC protocol handler initialized
Jun 20 14:04:05 kip kernel: [ 848.880985] IR RC5(x) protocol handler initialized
Jun 20 14:04:05 kip kernel: [ 848.915881] IR RC6 protocol handler initialized
Jun 20 14:04:05 kip kernel: [ 848.981980] IR JVC protocol handler initialized
Jun 20 14:04:05 kip kernel: [ 849.074603] IR Sony protocol handler initialized
Jun 20 14:04:06 kip kernel: [ 849.503278] IR SANYO protocol handler initialized
Jun 20 14:04:06 kip kernel: [ 850.046844] input: MCE IR Keyboard/Mouse (smsmdtv) as /devices/virtual/input/input17
Jun 20 14:04:06 kip kernel: [ 850.046953] IR MCE Keyboard/mouse protocol handler initialized
Jun 20 14:04:06 kip kernel: [ 850.130825] rc rc0: lirc_dev: driver ir-lirc-codec (smsmdtv) registered at minor = 0
Jun 20 14:04:06 kip kernel: [ 850.130829] IR LIRC bridge handler initialized
Jun 20 14:04:07 kip lircd-0.9.0[2483]: lircd(default) ready, using /var/run/lirc/lircd
Jun 20 14:07:51 kip wpa_supplicant[1249]: WPA: Group rekeying completed with 00:0f:66:4b:d0:29 [GTK=TKIP]
Jun 20 14:08:45 kip lircd-0.9.0[2483]: accepted new client on /var/run/lirc/lircd
Jun 20 14:08:45 kip lircd-0.9.0[2483]: removed client
Jun 20 14:08:48 kip lircd-0.9.0[2483]: accepted new client on /var/run/lirc/lircd

Plugging in, 3.4:

Jun 20 12:41:51 kip kernel: [56968.821466] usb 2-1.3: new high-speed USB device number 3 using ehci_hcd
Jun 20 12:41:51 kip mtp-probe: checking bus 2, device 3: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3"
Jun 20 12:41:51 kip mtp-probe: bus: 2, device: 3 was not an MTP device
Jun 20 12:41:52 kip kernel: [56969.771712] smscore_set_device_mode: firmware download success: sms1xxx-hcw-55xxx-dvbt-02.fw
Jun 20 12:41:52 kip kernel: [56969.774971] sms_ir_init: Allocating rc device
Jun 20 12:41:52 kip kernel: [56969.774982] sms_ir_init: IR port 0, timeout 100 ms
Jun 20 12:41:52 kip kernel: [56969.774987] sms_ir_init: Input device (IR) SMS IR (Hauppauge WinTV MiniStick) is set for key events
Jun 20 12:41:52 kip kernel: [56969.839568] Registered IR keymap rc-hauppauge
Jun 20 12:41:52 kip kernel: [56969.839746] input: SMS IR (Hauppauge WinTV MiniStick) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/rc/rc0/input16
Jun 20 12:41:52 kip kernel: [56969.839853] rc0: SMS IR (Hauppauge WinTV MiniStick) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/rc/rc0
Jun 20 12:41:52 kip kernel: [56969.869111] IR NEC protocol handler initialized
Jun 20 12:41:52 kip kernel: [56969.905160] DVB: registering new adapter (Hauppauge WinTV MiniStick)
Jun 20 12:41:52 kip kernel: [56969.905954] DVB: registering adapter 0 frontend 0 (Siano Mobile Digital MDTV Receiver)...
Jun 20 12:41:52 kip kernel: [56969.908307] usbcore: registered new interface driver smsusb
Jun 20 12:41:52 kip kernel: [56969.925459] IR RC5(x) protocol handler initialized
Jun 20 12:41:52 kip kernel: [56969.927605] IR RC6 protocol handler initialized
Jun 20 12:41:52 kip kernel: [56969.934966] IR JVC protocol handler initialized
Jun 20 12:41:52 kip kernel: [56969.947612] IR Sony protocol handler initialized
Jun 20 12:41:52 kip kernel: [56969.956956] IR SANYO protocol handler initialized
Jun 20 12:41:52 kip kernel: [56969.958762] input: MCE IR Keyboard/Mouse (smsmdtv) as /devices/virtual/input/input17
Jun 20 12:41:52 kip kernel: [56969.958858] IR MCE Keyboard/mouse protocol handler initialized
Jun 20 12:41:52 kip kernel: [56969.965675] lirc_dev: IR Remote Control driver registered, major 250
Jun 20 12:41:52 kip kernel: [56969.966256] rc rc0: lirc_dev: driver ir-lirc-codec (smsmdtv) registered at minor = 0
Jun 20 12:41:52 kip kernel: [56969.966260] IR LIRC bridge handler initialized

Unplugging, 3.4:

Jun 20 13:48:04 kip kernel: [60935.264194] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.268310] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.272439] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.276578] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.280661] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.284782] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.288896] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.293016] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.297136] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.301251] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.305375] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.309488] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.313606] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.317721] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.321840] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.325959] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.330077] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.334197] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.338315] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.342430] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.346552] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.350666] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.354784] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.358907] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.363020] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.367139] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.371256] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.375373] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.379491] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.383609] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.387727] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.391828] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.395963] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.400080] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.404201] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.408317] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.412438] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416555] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416686] usb 2-1.3: USB disconnect, device number 3
Jun 20 13:48:04 kip kernel: [60935.416927] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416932] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416937] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416941] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416945] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416950] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416954] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416958] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416962] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:04 kip kernel: [60935.416967] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 13:48:05 kip kernel: [60935.437903] BUG: unable to handle kernel NULL pointer dereference at 0000000000000050
Jun 20 13:48:05 kip kernel: [60935.439682] IP: [<ffffffffa069a5b7>] show_protocols+0xf7/0x110 [rc_core]
Jun 20 13:48:05 kip kernel: [60935.441354] PGD 12fffe067 PUD 12dc1a067 PMD 0
Jun 20 13:48:05 kip kernel: [60935.443000] Oops: 0000 [#1] SMP
Jun 20 13:48:05 kip kernel: [60935.444621] CPU 0
Jun 20 13:48:05 kip kernel: [60935.444638] Modules linked in: ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder ir_jvc_decoder ir_rc6_decoder ir_rc5_decoder smsdvb dvb_core ir_nec_decoder rc_hauppauge smsusb smsmdtv rc_core btrfs zlib_deflate libcrc32c ufs qnx4 hfsplus hfs minix ntfs vfat msdos fat jfs xfs reiserfs ext2 parport_pc ppdev binfmt_misc dm_crypt snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel uvcvideo snd_hda_codec videobuf2_core snd_hwdep snd_pcm videodev videobuf2_vmalloc videobuf2_memops snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device snd arc4 joydev hp_accel iwlwifi psmouse tpm_infineon mei(C) coretemp lis3lv02d soundcore mac80211 cfg80211 intel_ips tpm_tis serio_raw snd_page_alloc microcode mac_hid input_polldev hp_wmi sparse_keymap lp parport firewire_ohci firewire_core sdhci_pci crc_itu_t sdhci i915 wmi drm_kms_helper drm e1000e i2c_algo_bit video
Jun 20 13:48:05 kip kernel: [60935.457637]
Jun 20 13:48:05 kip kernel: [60935.459630] Pid: 4514, comm: cat Tainted: G C 3.4.0-030400-generic #201205210521 Hewlett-Packard HP ProBook 6450b/146D
Jun 20 13:48:05 kip kernel: [60935.461720] RIP: 0010:[<ffffffffa069a5b7>] [<ffffffffa069a5b7>] show_protocols+0xf7/0x110 [rc_core]
Jun 20 13:48:05 kip kernel: [60935.463806] RSP: 0018:ffff880130759e08 EFLAGS: 00010202
Jun 20 13:48:05 kip kernel: [60935.465883] RAX: 0000000000000000 RBX: ffff88012e48b000 RCX: ffffffffa069a4c0
Jun 20 13:48:05 kip kernel: [60935.467980] RDX: 0000000000000000 RSI: 0000000000000001 RDI: ffff88012e48b2f0
Jun 20 13:48:05 kip kernel: [60935.470078] RBP: ffff880130759e48 R08: 0000000000000000 R09: 000000000000253a
Jun 20 13:48:05 kip kernel: [60935.472207] R10: 00007fff66f62030 R11: 0000000000000000 R12: ffff880036458c40
Jun 20 13:48:05 kip kernel: [60935.474338] R13: ffffffff81856860 R14: ffff88012e48b010 R15: ffff88012dc19000
Jun 20 13:48:05 kip kernel: [60935.476503] FS: 00007ff8f383e700(0000) GS:ffff880137c00000(0000) knlGS:0000000000000000
Jun 20 13:48:05 kip kernel: [60935.478722] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 20 13:48:05 kip kernel: [60935.480966] CR2: 0000000000000050 CR3: 000000012f4f4000 CR4: 00000000000007f0
Jun 20 13:48:05 kip kernel: [60935.483253] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jun 20 13:48:05 kip kernel: [60935.485558] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jun 20 13:48:05 kip kernel: [60935.487865] Process cat (pid: 4514, threadinfo ffff880130758000, task ffff880036462dc0)
Jun 20 13:48:05 kip kernel: [60935.490201] Stack:
Jun 20 13:48:05 kip kernel: [60935.492602] ffff880130759e58 ffff88012e48b2f0 0000000000000000 ffffffffa069e160
Jun 20 13:48:05 kip kernel: [60935.495027] ffff880036458c40 ffffffff81856860 ffff88012e48b010 ffff88006d2f5e00
Jun 20 13:48:05 kip kernel: [60935.497478] ffff880130759e78 ffffffff8140b5c7 ffff880130759e68 ffffffff8112670e
Jun 20 13:48:05 kip kernel: [60935.499962] Call Trace:
Jun 20 13:48:05 kip kernel: [60935.502430] [<ffffffff8140b5c7>] dev_attr_show+0x27/0x50
Jun 20 13:48:05 kip kernel: [60935.504900] [<ffffffff8112670e>] ? __get_free_pages+0xe/0x40
Jun 20 13:48:05 kip kernel: [60935.507379] [<ffffffff811f48ab>] fill_read_buffer+0x6b/0xf0
Jun 20 13:48:05 kip kernel: [60935.509863] [<ffffffff811f49d0>] sysfs_read_file+0xa0/0xb0
Jun 20 13:48:05 kip kernel: [60935.512341] [<ffffffff81184285>] vfs_read+0xc5/0x190
Jun 20 13:48:05 kip kernel: [60935.514799] [<ffffffff81184451>] sys_read+0x51/0x90
Jun 20 13:48:05 kip kernel: [60935.517279] [<ffffffff81674e69>] system_call_fastpath+0x16/0x1b
Jun 20 13:48:05 kip kernel: [60935.519785] Code: 24 01 4c 29 f8 48 83 c4 18 5b 41 5c 41 5d 41 5e 41 5f c9 c3 48 8b 93 28 d2 69 a0 48 c7 c6 ea d2 69 a0 eb a4 48 8b 83 18 03 00 00 <4c> 8b 68 50 e8 a0 12 00 00 49 89 c6 e9 53 ff ff ff 0f 1f 84 00
Jun 20 13:48:05 kip kernel: [60935.525398] RIP [<ffffffffa069a5b7>] show_protocols+0xf7/0x110 [rc_core]
Jun 20 13:48:05 kip kernel: [60935.528232] RSP <ffff880130759e08>
Jun 20 13:48:05 kip kernel: [60935.531064] CR2: 0000000000000050
Jun 20 13:48:05 kip kernel: [60935.596972] ---[ end trace caead8062106f2dc ]---

Unplugging, 3.2:

Jun 20 20:44:18 kip kernel: [ 3692.670295] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.674390] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.678493] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.682604] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.686714] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.690854] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.694957] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.699071] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.703184] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.707304] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.711430] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.715546] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.719653] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.723772] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.727893] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.732013] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.736130] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.740246] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.744375] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.748485] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.752600] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.756714] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.760848] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.764970] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.769072] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.773169] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.777312] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.781429] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.785544] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.789659] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.793789] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.797901] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.802014] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.806133] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808142] usb 2-1.3: USB disconnect, device number 3
Jun 20 20:44:18 kip kernel: [ 3692.808257] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808264] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808268] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808272] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808277] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808281] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808285] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808289] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808293] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3692.808298] smsusb_onresponse: line: 72: error, urb status -108 (-ESHUTDOWN), 0 bytes
Jun 20 20:44:18 kip kernel: [ 3693.030853] BUG: unable to handle kernel NULL pointer dereference at 0000000000000050
Jun 20 20:44:18 kip kernel: [ 3693.033573] IP: [<ffffffffa02e1597>] show_protocols+0xf7/0x120 [rc_core]
Jun 20 20:44:18 kip kernel: [ 3693.034994] PGD 366f6067 PUD 366f7067 PMD 0
Jun 20 20:44:18 kip kernel: [ 3693.036448] Oops: 0000 [#1] SMP
Jun 20 20:44:18 kip kernel: [ 3693.037845] CPU 3
Jun 20 20:44:18 kip kernel: [ 3693.037861] Modules linked in: nls_utf8 isofs parport_pc ppdev binfmt_misc dm_crypt snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_intel smsdvb dvb_core snd_hda_codec snd_hwdep rc_hauppauge arc4 snd_pcm ir_lirc_codec lirc_dev ir_mce_kbd_decoder snd_seq_midi ir_sony_decoder ir_jvc_decoder snd_rawmidi snd_seq_midi_event ir_rc6_decoder snd_seq ir_rc5_decoder ir_nec_decoder snd_timer snd_seq_device uvcvideo videodev v4l2_compat_ioctl32 smsusb smsmdtv rc_core snd tpm_infineon iwlwifi mac80211 psmouse soundcore snd_page_alloc intel_ips joydev cfg80211 mei(C) serio_raw hp_wmi sparse_keymap mac_hid tpm_tis hp_accel lis3lv02d input_polldev lp parport firewire_ohci firewire_core crc_itu_t e1000e sdhci_pci sdhci i915 drm_kms_helper drm wmi i2c_algo_bit video
Jun 20 20:44:18 kip kernel: [ 3693.047962]
Jun 20 20:44:18 kip kernel: [ 3693.049836] Pid: 21816, comm: cat Tainted: G C 3.2.0-26-generic #41-Ubuntu Hewlett-Packard HP ProBook 6450b/146D
Jun 20 20:44:18 kip kernel: [ 3693.051834] RIP: 0010:[<ffffffffa02e1597>] [<ffffffffa02e1597>] show_protocols+0xf7/0x120 [rc_core]
Jun 20 20:44:18 kip kernel: [ 3693.053888] RSP: 0018:ffff88003672fe08 EFLAGS: 00010202
Jun 20 20:44:18 kip kernel: [ 3693.055922] RAX: 0000000000000000 RBX: ffff88012b61dc00 RCX: 0000000000000001
Jun 20 20:44:18 kip kernel: [ 3693.057980] RDX: ffff88003672ffd8 RSI: ffffffffa02e5180 RDI: ffff88012b61ded0
Jun 20 20:44:18 kip kernel: [ 3693.060024] RBP: ffff88003672fe48 R08: 0000000000000000 R09: 000000000007d047
Jun 20 20:44:18 kip kernel: [ 3693.062099] R10: 0000000000000002 R11: 0000000000000000 R12: ffff88012dde55a0
Jun 20 20:44:18 kip kernel: [ 3693.064154] R13: ffffffff81856ec0 R14: ffff88012b61dc10 R15: ffff880082c7c000
Jun 20 20:44:18 kip kernel: [ 3693.066210] FS: 00007ff53c3bd700(0000) GS:ffff880137cc0000(0000) knlGS:0000000000000000
Jun 20 20:44:18 kip kernel: [ 3693.068303] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 20 20:44:18 kip kernel: [ 3693.070391] CR2: 0000000000000050 CR3: 0000000082e44000 CR4: 00000000000006e0
Jun 20 20:44:18 kip kernel: [ 3693.072483] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Jun 20 20:44:18 kip kernel: [ 3693.074606] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Jun 20 20:44:18 kip kernel: [ 3693.076723] Process cat (pid: 21816, threadinfo ffff88003672e000, task ffff8801134f44d0)
Jun 20 20:44:18 kip kernel: [ 3693.078867] Stack:
Jun 20 20:44:18 kip kernel: [ 3693.081011] 0000000000000000 ffff88012b61ded0 0000000000000000 ffffffffa02e5180
Jun 20 20:44:18 kip kernel: [ 3693.083233] ffff88012dde55a0 ffffffff81856ec0 ffff88012b61dc10 ffff88012df5a300
Jun 20 20:44:18 kip kernel: [ 3693.085494] ffff88003672fe78 ffffffff813f2430 ffff88003672fe68 ffffffff8111bf6e
Jun 20 20:44:18 kip kernel: [ 3693.087761] Call Trace:
Jun 20 20:44:18 kip kernel: [ 3693.090031] [<ffffffff813f2430>] dev_attr_show+0x20/0x60
Jun 20 20:44:18 kip kernel: [ 3693.092328] [<ffffffff8111bf6e>] ? __get_free_pages+0xe/0x40
Jun 20 20:44:18 kip kernel: [ 3693.094746] [<ffffffff811ec706>] fill_read_buffer.isra.8+0x66/0xf0
Jun 20 20:44:18 kip kernel: [ 3693.097109] [<ffffffff811ec834>] sysfs_read_file+0xa4/0xc0
Jun 20 20:44:18 kip kernel: [ 3693.099439] [<ffffffff811780e0>] vfs_read+0xb0/0x180
Jun 20 20:44:18 kip kernel: [ 3693.101770] [<ffffffff811781fa>] sys_read+0x4a/0x90
Jun 20 20:44:18 kip kernel: [ 3693.104063] [<ffffffff81661fc2>] system_call_fastpath+0x16/0x1b
Jun 20 20:44:18 kip kernel: [ 3693.106363] Code: c4 18 5b 41 5c 41 5d 41 5e 41 5f 5d c3 0f 1f 80 00 00 00 00 48 8b 53 08 48 c7 c6 da 42 2e a0 eb a0 0f 1f 00 48 8b 83 f8 02 00 00 <4c> 8b 68 50 e8 70 17 00 00 49 89 c6 e9 4c ff ff ff 48 c7 c0 ea
Jun 20 20:44:18 kip kernel: [ 3693.111527] RIP [<ffffffffa02e1597>] show_protocols+0xf7/0x120 [rc_core]
Jun 20 20:44:18 kip kernel: [ 3693.114140] RSP <ffff88003672fe08>
Jun 20 20:44:18 kip kernel: [ 3693.116736] CR2: 0000000000000050
Jun 20 20:44:19 kip kernel: [ 3693.182705] ---[ end trace 01fa1809a0903a6b ]---
Jun 20 20:44:19 kip lircd-0.9.0[972]: caught signal

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-26-generic 3.2.0-26.41
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
Uname: Linux 3.2.0-26-generic x86_64
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu10
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: douglas 2248 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xd4820000 irq 49'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:111d7603,103c146d,00100202 HDA:80862804,80860101,00100000'
   Controls : 37
   Simple ctrls : 13
Date: Thu Jun 21 10:05:43 2012
HibernationDevice: RESUME=UUID=a7c4ecf7-3db7-4173-a9c1-e92d5611f9b0
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 003: ID 0461:4db6 Primax Electronics, Ltd
MachineType: Hewlett-Packard HP ProBook 6450b
ProcEnviron:
 TERM=xterm
 PATH=(custom, user)
 LANG=en_NZ.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-26-generic root=UUID=5fe5322d-7738-43bb-b84d-2ddffa20681f ro pcie_aspm=force
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-26-generic N/A
 linux-backports-modules-3.2.0-26-generic N/A
 linux-firmware 1.79
SourcePackage: linux
StagingDrivers: mei
UpgradeStatus: Upgraded to precise on 2012-05-09 (42 days ago)
dmi.bios.date: 06/25/2010
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68CDE Ver. F.01
dmi.board.name: 146D
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 73.11
dmi.chassis.asset.tag: CNU0310FGJ
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68CDEVer.F.01:bd06/25/2010:svnHewlett-Packard:pnHPProBook6450b:pvr:rvnHewlett-Packard:rn146D:rvrKBCVersion73.11:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP ProBook 6450b
dmi.sys.vendor: Hewlett-Packard

I will also report this upstream on the linux-media list.

I don't think the USB device ID is anywhere above. It is 2040:c000.

douglas@kip:~$ lsusb -v -d 2040:

Bus 002 Device 003: ID 2040:c000 Hauppauge Windham
Couldn't open device, some information will be missing
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x2040 Hauppauge
  idProduct 0xc000 Windham
  bcdDevice 0.01
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 255 Vendor Specific Protocol
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0

Brad Figg (brad-figg) on 2012-06-21
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.5kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc3-quantal/

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Download full text (10.6 KiB)

Thanks Joseph.

It still crashes with upstream kernel http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5-rc3-quantal/linux-image-3.5.0-030500rc3-generic_3.5.0-030500rc3.201206162135_amd64.deb and the associated -extra package.

The plugging in bit is:

Jun 22 11:21:41 kip kernel: [ 46.061584] usb 2-1.3: new high-speed USB device number 3 using ehci_hcd
Jun 22 11:21:41 kip mtp-probe: checking bus 2, device 3: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3"
Jun 22 11:21:41 kip mtp-probe: bus: 2, device: 3 was not an MTP device
Jun 22 11:21:42 kip kernel: [ 46.840096] smscore_set_device_mode: firmware download success: sms1xxx-hcw-55xxx-dvbt-02.fw
Jun 22 11:21:42 kip kernel: [ 46.843230] sms_ir_init: Allocating rc device
Jun 22 11:21:42 kip kernel: [ 46.843238] sms_ir_init: IR port 0, timeout 100 ms
Jun 22 11:21:42 kip kernel: [ 46.843241] sms_ir_init: Input device (IR) SMS IR (Hauppauge WinTV MiniStick) is set for key events
Jun 22 11:21:42 kip kernel: [ 46.884005] Registered IR keymap rc-hauppauge
Jun 22 11:21:42 kip kernel: [ 46.884151] input: SMS IR (Hauppauge WinTV MiniStick) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/rc/rc0/input16
Jun 22 11:21:42 kip kernel: [ 46.884239] rc0: SMS IR (Hauppauge WinTV MiniStick) as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3/rc/rc0
Jun 22 11:21:42 kip kernel: [ 46.908867] DVB: registering new adapter (Hauppauge WinTV MiniStick)
Jun 22 11:21:42 kip kernel: [ 46.909103] DVB: registering adapter 0 frontend 0 (Siano Mobile Digital MDTV Receiver)...
Jun 22 11:21:42 kip kernel: [ 46.910210] usbcore: registered new interface driver smsusb
Jun 22 11:21:42 kip kernel: [ 46.911695] IR NEC protocol handler initialized
Jun 22 11:21:42 kip kernel: [ 46.941732] IR RC5(x) protocol handler initialized
Jun 22 11:21:42 kip kernel: [ 46.945575] IR RC6 protocol handler initialized
Jun 22 11:21:42 kip kernel: [ 46.948359] IR JVC protocol handler initialized
Jun 22 11:21:42 kip kernel: [ 46.954318] IR Sony protocol handler initialized
Jun 22 11:21:42 kip kernel: [ 46.960088] IR SANYO protocol handler initialized
Jun 22 11:21:42 kip kernel: [ 46.966777] input: MCE IR Keyboard/Mouse (smsmdtv) as /devices/virtual/input/input17
Jun 22 11:21:42 kip kernel: [ 46.968301] IR MCE Keyboard/mouse protocol handler initialized
Jun 22 11:21:42 kip kernel: [ 46.970622] lirc_dev: IR Remote Control driver registered, major 250
Jun 22 11:21:42 kip kernel: [ 46.975101] rc rc0: lirc_dev: driver ir-lirc-codec (smsmdtv) registered at minor = 0
Jun 22 11:21:42 kip kernel: [ 46.975105] IR LIRC bridge handler initialized
Jun 22 11:21:42 kip lircd-0.9.0[1386]: caught signal
Jun 22 11:21:42 kip lircd-0.9.0[2365]: lircd(devinput) ready, using /var/run/lirc/lircd

Then unplugging:

un 22 11:22:11 kip kernel: [ 76.528529] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 22 11:22:11 kip kernel: [ 76.532646] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 22 11:22:11 kip kernel: [ 76.536761] smsusb_onresponse: line: 118: error, urb status -71, 0 bytes
Jun 22 11:22:11 kip kernel: [ 76.540878] IRQ 23 device lis3lv02d returned IRQ_WAKE_THREAD but no thread fun...

A workaround is to remove lirc, or stop the lirc daemon before removing the usb stick.

The attached patch applies to ubuntu's 3.2 and upstream 3.5rc3, and probably everything between.

(I haven't actually tested 3.2 yet).

I have posted it upstream.

tags: added: patch
summary: - Oops when Hauppauge WinTV MiniStick USB DVB thing unplugged
+ BUG: unable to handle kernel NULL pointer dereference at
+ 0000000000000050; RIP: 0010:[<ffffffffa069a5b7>] [<ffffffffa069a5b7>]
+ show_protocols+0xf7/0x110 [rc_core]
tags: added: kernel-oops
summary: - BUG: unable to handle kernel NULL pointer dereference at
+ 2040:c000 BUG: unable to handle kernel NULL pointer dereference at
0000000000000050; RIP: 0010:[<ffffffffa069a5b7>] [<ffffffffa069a5b7>]
show_protocols+0xf7/0x110 [rc_core]
tags: added: kernel-bug-exists-upstream-v3.5-rc3-quantal
Tim Gardner (timg-tpi) on 2012-08-06
Changed in linux (Ubuntu Oneiric):
status: New → Fix Committed
assignee: nobody → Herton R. Krzesinski (herton)
Changed in linux (Ubuntu Precise):
assignee: nobody → Herton R. Krzesinski (herton)
status: New → Fix Committed
Changed in linux (Ubuntu Quantal):
assignee: nobody → Herton R. Krzesinski (herton)
status: Confirmed → Fix Committed

The attachment "Patch to avoid the oops" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

Just in case it matters, the patch that bug bot is rabbitting on about is not quite the same as the upstream patch (linked in comment #8). I recommend the upstream one over the attachment, though either should work in practice.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-9.9

---------------
linux (3.5.0-9.9) quantal-proposed; urgency=low

  [ Daniel P. Berrange ]

  * SAUCE: (drop after 3.6) Forbid invocation of kexec_load() outside
    initial PID namespace
    - LP: #1034125

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Ike Panhc ]

  * [Config] Enable EDAC/CLK for highbank
    - LP: #1008345

  [ Leann Ogasawara ]

  * Revert "ubuntu: AUFS -- reenable"

  [ Rob Herring ]

  * SAUCE: net: calxedaxgmac: add write barriers around setting owner bit
    - LP: #1008345
  * SAUCE: ARM smp_twd: add back "arm,smp-twd" compatible property
    - LP: #1008345
  * SAUCE: ARM: highbank: add soft power and reset key event handling
    - LP: #1008345
  * SAUCE: ARM: highbank: use writel_relaxed variant for pwr requests
    - LP: #1008345
  * SAUCE: ahci: un-staticize ahci_dev_classify
    - LP: #1008345
  * SAUCE: ahci_platform: add custom hard reset for Calxeda ahci ctrlr
    - LP: #1008345

  [ Upstream Kernel Changes ]

  * rt2x00: Add support for BUFFALO WLI-UC-GNM2 to rt2800usb.
    - LP: #871904
  * Avoid sysfs oops when an rc_dev's raw device is absent
    - LP: #1015836
  * eCryptfs: Copy up POSIX ACL and read-only flags from lower mount
  * clk: add DT clock binding support
    - LP: #1008345
  * clk: add DT fixed-clock binding support
    - LP: #1008345
  * clk: add highbank clock support
  * edac: add support for Calxeda highbank memory controller
    - LP: #1008345
  * edac: add support for Calxeda highbank L2 cache ecc
    - LP: #1008345
  * net: calxedaxgmac: enable rx cut-thru mode
    - LP: #1008345
  * net: calxedaxgmac: fix hang on rx refill
    - LP: #1008345
  * eCryptfs: Revert to a writethrough cache model
    - LP: #1034012
  * eCryptfs: Initialize empty lower files when opening them
    - LP: #911507
  * eCryptfs: Unlink lower inode when ecryptfs_create() fails
    - LP: #872905
 -- Leann Ogasawara <email address hidden> Wed, 08 Aug 2012 08:39:42 -0700

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Brad Figg (brad-figg) on 2012-08-20
tags: added: verification-needed-oneiric
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-30.47). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
tags: added: verification-done-precise
removed: verification-needed-precise
Luis Henriques (henrix) wrote :

Since the commit for this issue came in via a stable upstream release and has already been verified in Precise, I'm tagging it as verified for Oneiric as well.

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Launchpad Janitor (janitor) wrote :
Download full text (13.6 KiB)

This bug was fixed in the package linux - 3.2.0-30.48

---------------
linux (3.2.0-30.48) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1041217

  [ Upstream Kernel Changes ]

  * mutex: Place lock in contended state after fastpath_lock failure
    - LP: #1041114

linux (3.2.0-30.47) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1036581

  [ Andy Whitcroft ]

  * add support for generating binary device trees and install them in
    /lib/firmware
    - LP: #1030600
  * [Config] add dtb_file configuration for highbank
    - LP: #1030600

  [ Chris Van Hoof ]

  * SAUCE: dell-laptop: additional rfkill blacklist Dell XPS 13
    - LP: #1030957
  * [Config] Add cifs support to the nfs-modules list
    - LP: #1031398

  [ Daniel P. Berrange ]

  * SAUCE: (drop after 3.6) Forbid invocation of kexec_load() outside
    initial PID namespace
    - LP: #1034125

  [ Dann Frazier ]

  * [Config] Compile the rtc-pl031 driver builtin on the highbank kernel
    flavour
    - LP: #1035110

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Rob Herring ]

  * SAUCE: ARM: highbank: add soft power and reset key event handling
    - LP: #1033853
  * SAUCE: ARM: highbank: use writel_relaxed variant for pwr requests
    - LP: #1033853
  * SAUCE: ahci: un-staticize ahci_dev_classify
    - LP: #1033853
  * SAUCE: ahci_platform: add custom hard reset for Calxeda ahci ctrlr
    - LP: #1033853

  [ Stefan Bader ]

  * (pre-stable) KVM: VMX: Set CPU_BASED_RDPMC_EXITING for nested
    - LP: #1031090

  [ Tim Gardner ]

  * [Config] updateconfigs

  [ Upstream Kernel Changes ]

  * ideapad: generate valid key event only
    - LP: #1029834
  * mm: reduce the amount of work done when updating min_free_kbytes
    - LP: #1032640
  * mm: compaction: allow compaction to isolate dirty pages
    - LP: #1032640
  * mm: compaction: determine if dirty pages can be migrated without
    blocking within ->migratepage
    - LP: #1032640
  * mm: page allocator: do not call direct reclaim for THP allocations
    while compaction is deferred
    - LP: #1032640
  * mm: compaction: make isolate_lru_page() filter-aware again
    - LP: #1032640
  * mm: compaction: introduce sync-light migration for use by compaction
    - LP: #1032640
  * mm: vmscan: when reclaiming for compaction, ensure there are sufficient
    free pages available
    - LP: #1032640
  * mm: vmscan: do not OOM if aborting reclaim to start compaction
    - LP: #1032640
  * mm: vmscan: check if reclaim should really abort even if
    compaction_ready() is true for one zone
    - LP: #1032640
  * vmscan: promote shared file mapped pages
    - LP: #1032640
  * vmscan: activate executable pages after first usage
    - LP: #1032640
  * mm/vmscan.c: consider swap space when deciding whether to continue
    reclaim
    - LP: #1032640
  * mm: test PageSwapBacked in lumpy reclaim
    - LP: #1032640
  * mm: vmscan: convert global reclaim to per-memcg LRU lists
    - LP: #1032640
  * cpuset: mm: reduce large amounts of memory barrier related damage v3
    - LP: #1032640
  * mm/hugetlb: fix warni...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (8.0 KiB)

This bug was fixed in the package linux - 3.0.0-25.41

---------------
linux (3.0.0-25.41) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1036178

  [ Andy Whitcroft ]

  * SAUCE: rds_ib_send() -- prevent local pings triggering BUG_ON()
    - LP: #1016299
    - CVE-2012-2372

  [ Douglas Bagnall ]

  * SAUCE: Unlock the rc_dev lock when the raw device is missing
    - LP: #1015836

  [ Upstream Kernel Changes ]

  * cifs: always update the inode cache with the results from a FIND_*
    - LP: #1031926
  * ntp: Fix STA_INS/DEL clearing bug
    - LP: #1031926
  * mm: fix lost kswapd wakeup in kswapd_stop()
    - LP: #1031926
  * MIPS: Properly align the .data..init_task section.
    - LP: #1031926
  * UBIFS: fix a bug in empty space fix-up
    - LP: #1031926
  * dm raid1: fix crash with mirror recovery and discard
    - LP: #1031926
  * mm/vmstat.c: cache align vm_stat
    - LP: #1031926
  * mm: memory hotplug: Check if pages are correctly reserved on a
    per-section basis
    - LP: #1031926
  * mm: reduce the amount of work done when updating min_free_kbytes
    - LP: #1031926
  * mm: vmscan: fix force-scanning small targets without swap
    - LP: #1031926
  * vmscan: clear ZONE_CONGESTED for zone with good watermark
    - LP: #1031926
  * vmscan: add shrink_slab tracepoints
    - LP: #1031926
  * vmscan: shrinker->nr updates race and go wrong
    - LP: #1031926
  * vmscan: reduce wind up shrinker->nr when shrinker can't do work
    - LP: #1031926
  * vmscan: limit direct reclaim for higher order allocations
    - LP: #1031926
  * vmscan: abort reclaim/compaction if compaction can proceed
    - LP: #1031926
  * mm: compaction: trivial clean up in acct_isolated()
    - LP: #1031926
  * mm: change isolate mode from #define to bitwise type
    - LP: #1031926
  * mm: compaction: make isolate_lru_page() filter-aware
    - LP: #1031926
  * mm: zone_reclaim: make isolate_lru_page() filter-aware
    - LP: #1031926
  * mm: migration: clean up unmap_and_move()
    - LP: #1031926
  * mm: compaction: allow compaction to isolate dirty pages
    - LP: #1031926
  * mm: compaction: determine if dirty pages can be migrated without
    blocking within ->migratepage
    - LP: #1031926
  * mm: page allocator: do not call direct reclaim for THP allocations
    while compaction is deferred
    - LP: #1031926
  * mm: compaction: make isolate_lru_page() filter-aware again
    - LP: #1031926
  * kswapd: avoid unnecessary rebalance after an unsuccessful balancing
    - LP: #1031926
  * kswapd: assign new_order and new_classzone_idx after wakeup in sleeping
    - LP: #1031926
  * mm: compaction: introduce sync-light migration for use by compaction
    - LP: #1031926
  * mm: vmscan: when reclaiming for compaction, ensure there are sufficient
    free pages available
    - LP: #1031926
  * mm: vmscan: do not OOM if aborting reclaim to start compaction
    - LP: #1031926
  * mm: vmscan: check if reclaim should really abort even if
    compaction_ready() is true for one zone
    - LP: #1031926
  * vmscan: promote shared file mapped pages
    - LP: #1031926
  * vmscan: activate executable pages after first usage
    - LP: #1031926
  *...

Read more...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.